//*****************************************************************************
//
// This file is generated by ftrasterize; DO NOT EDIT BY HAND!
//
//*****************************************************************************
#include <stdbool.h>
#include <stdint.h>
#include "grlib/grlib.h"

//*****************************************************************************
//
// Details of this font:
//     Characters: 32 to 126 inclusive
//     Style: apercu
//     Size: 18 point
//     Bold: yes
//     Italic: no
//     Memory usage: 2084 bytes
//
//*****************************************************************************

//*****************************************************************************
//
// The compressed data for the 18 point Apercu bold font.
// Contains characters 32 to 126 inclusive.
//
//*****************************************************************************
static const unsigned char g_pucApercu18bData[1884] =
{
      5,   7,   0,  14, 112,  15,   4,  66,  34,  34,  34,  34,
     34,  34,  34,  99,  19,  19, 240,  32,  13,   7, 115,  18,
     34,  18,  34,  18,  33,  34,   0,  10,  80,  26,  12, 240,
     18,  33, 113,  34,  98,  34,  74,  42,  66,  33, 113,  34,
     74,  42,  66,  34,  98,  33, 113,  34,   0,   6,  80,  22,
      9,  66, 114,  85,  50,  34,  50, 115, 101,  85, 100, 114,
     18,  66,  34,  50,  53,  98, 114, 240,  96,  32,  14, 161,
     68,  82,  38,  50,  50,  34,  34,  70,  19,  84,  34, 178,
    178,  20,  98,  22,  82,  18,  34,  66,  34,  34,  50,  54,
     34,  84,   0,   7,  32,  24,  11, 227, 117,  98,  18,  98,
     18, 100, 100, 117,  33,  34,  52,  34,  52,  34,  51,  72,
     68,  19, 240, 240, 240,   9,   4,  67,  34,  34,  33,   0,
      6,  32,  17,   4,  18,  34,  34,  18,  34,  34,  34,  34,
     34,  34,  34,  50,  34,  34, 208,  17,   4,   1,  50,  34,
     50,  34,  34,  34,  34,  34,  34,  34,  18,  34,  34, 224,
     13,   7, 146,  82,  17,  22,  36,  52,  34,  34,   0,   8,
    112,  15,  10, 240, 240, 210, 130, 130,  89,  25,  66, 130,
    130,   0,   6, 112,  10,   5,   0,   7,   3,  35,  34,  34,
     50, 128,   9,   8,   0,   6,   7,  23,   0,   9,  16,   9,
      4, 240, 240, 163,  19,  19, 240,  32,  19,  11, 130, 130,
    146, 130, 131, 130, 131, 130, 130, 146, 130, 146, 130, 131,
    240, 240, 176,  25,  10, 197,  71,  50,  50,  34,  82,  18,
     82,  18,  82,  18,  82,  18,  82,  18,  82,  34,  50,  55,
     69, 240, 240, 208,  17,   6, 146,  36,  21,  18,  18,  66,
     66,  66,  66,  66,  66,  66,  66, 240, 160,  19,   9, 180,
     70,  35,  50,  49,  50, 114,  98,  99,  83,  83,  83, 103,
     24, 240, 240, 112,  19,   9, 151,  39,  98,  98,  99, 101,
    115, 114,  18,  66,  18,  51,  23,  53, 240, 240, 144,  22,
     10, 240,  18, 115, 100, 100,  82,  18,  67,  18,  66,  34,
     50,  50,  41,  25, 114, 130, 240, 240, 192,  19,   9, 166,
     54,  50, 114, 117,  55,  34,  51, 114, 114,  19,  35,  38,
     68, 240, 240, 144,  21,   9, 210,  99,  98,  98, 101,  70,
     35,  35,  18,  66,  18,  66,  19,  35,  38,  68, 240, 240,
    144,  17,   9, 152,  24,  98,  99,  98, 114,  99,  98,  99,
     98,  99,  98, 240, 240, 192,  23,   9, 180,  71,  34,  50,
     34,  50,  38,  54,  35,  35,  18,  66,  18,  66,  19,  35,
     38,  68, 240, 240, 144,  20,   9, 180,  70,  35,  35,  18,
     66,  18,  66,  39,  53,  99,  83,  98,  99,  98, 240, 240,
    176,  11,   4, 240,  19,  19,  19, 211,  19,  19, 240,  32,
     13,   5, 240,  99,  35,  35, 240, 115,  34,  35,  34,  50,
    128,  15,   8, 240, 241,  83,  53,  21,  51,  84, 100,  99,
    113, 240, 240, 176,  10,   9, 240, 240, 248,  24, 168,  24,
      0,   8,  15,   8, 240, 145, 115, 100,  85,  83,  68,  36,
     51,  81,   0,   5, 112,  17,   8, 164,  54,  18,  50,  83,
     51,  66, 101,  67, 211,  83,  83, 240, 240,  80,  41,  15,
    240,  70, 137,  83,  83,  50,  36,  19,  35,  23,  18,  18,
     19,  50,  18,  18,  18,  66,  18,  18,  18,  66,  18,  18,
     18,  51,  18,  19,  25,  50,  35,  35,  52,  97,  90, 119,
    240, 240,  64,  25,  12, 240,  19, 147, 133, 114,  18, 114,
     18,  99,  19,  82,  50,  87,  73,  50,  82,  50,  82,  35,
     83,   0,   6,  16,  23,  10, 167,  56,  34,  66,  34,  66,
     34,  66,  39,  56,  34,  67,  18,  82,  18,  67,  24,  39,
    240, 240, 208,  21,  12, 245, 104,  51,  51,  35,  83,  18,
    162, 162, 162, 163,  83,  35,  51,  72,  85,   0,   6,  64,
     24,  11, 183,  72,  50,  67,  34,  83,  18,  98,  18,  98,
     18,  98,  18,  98,  18,  83,  18,  67,  40,  55,   0,   6,
     17,   9, 152,  24,  18, 114, 119,  39,  34, 114, 114, 114,
    120,  24, 240, 240, 112,  17,   9, 152,  24,  18, 114, 114,
    119,  39,  34, 114, 114, 114, 114, 240, 240, 208,  24,  12,
    245, 104,  51,  52,  19,  83,  18, 162, 162,  69,  18,  69,
     19,  83,  35,  67,  57,  69,  18,   0,   6,  16,  27,  11,
    178,  98,  18,  98,  18,  98,  18,  98,  26,  26,  18,  98,
     18,  98,  18,  98,  18,  98,  18,  98,  18,  98, 240, 240,
    240,  15,   3,  50,  18,  18,  18,  18,  18,  18,  18,  18,
     18,  18,  18, 208,  18,   8, 210,  98,  98,  98,  98,  98,
     98,  98,  98,  18,  50,  22,  52, 240, 240,  80,  26,  10,
    162,  67,  18,  51,  34,  35,  50,  19,  69,  84, 101,  82,
     19,  66,  35,  50,  50,  50,  51,  34,  67, 240, 240, 176,
     17,   9, 146, 114, 114, 114, 114, 114, 114, 114, 114, 114,
    120,  24, 240, 240, 112,  35,  12, 195,  83,  19,  83,  19,
     83,  20,  52,  20,  52,  21,  21,  18,  18,  18,  18,  18,
     21,  18,  18,  35,  34,  18,  35,  34,  18,  35,  34,  18,
    114,   0,   6,  16,  31,  10, 162,  82,  19,  66,  20,  50,
     20,  50,  21,  34,  18,  19,  18,  18,  19,  18,  18,  37,
     18,  52,  18,  52,  18,  67,  18,  82, 240, 240, 176,  25,
     13, 240,  22, 104,  67,  67,  35,  99,  18, 130,  18, 130,
     18, 130,  18, 130,  19,  99,  35,  67,  72, 102,   0,   7,
     19,  10, 167,  56,  34,  82,  18,  82,  18,  82,  24,  39,
     50, 130, 130, 130, 130,   0,   6,  28,  13, 240,  22, 104,
     67,  67,  35,  99,  18, 130,  18, 130,  18, 130,  18,  82,
     18,  19,  69,  35,  67,  74,  85,  17,   0,   6,  96,  25,
     10, 166,  71,  50,  66,  34,  66,  34,  66,  40,  39,  50,
     34,  66,  35,  50,  51,  34,  66,  34,  67, 240, 240, 176,
     20,   9, 180,  70,  50,  34,  50, 115, 116, 100, 115,  33,
     66,  19,  50,  38,  68, 240, 240, 144,  17,  10, 169,  25,
     82, 130, 130, 130, 130, 130, 130, 130, 130, 130, 240, 240,
    224,  27,  10, 162,  82,  18,  82,  18,  82,  18,  82,  18,
     82,  18,  82,  18,  82,  18,  82,  18,  82,  19,  51,  39,
     69, 240, 240, 208,  26,  12, 195,  83,  34,  82,  50,  67,
     51,  51,  66,  50,  82,  35,  83,  19,  98,  18, 114,  18,
    117, 131, 147,   0,   6,  80,  37,  17, 240,  35, 178,  34,
     66,  67,  34,  67,  51,  35,  51,  50,  66,  36,  50,  66,
     37,  19,  66,  34,  18,  18,  85,  34,  18, 100,  37, 100,
     52, 100,  51, 115,  67,   0,   9,  24,  11, 195,  51,  50,
     35,  67,  18, 101, 100, 131, 116, 117,  83,  18,  82,  35,
     51,  51,  19,  82, 240, 240, 240,  21,   9, 146,  66,  19,
     35,  34,  34,  50,  19,  68,  84,  98, 114, 114, 114, 114,
    114, 240, 240, 160,  17,  10, 168,  40, 114, 115, 114, 114,
    115, 114, 115, 114, 121,  25, 240, 240, 176,  18,   5,   4,
     20,  18,  50,  50,  50,  50,  50,  50,  50,  50,  50,  52,
     20, 240,  16,  19,  10,   2, 146, 130, 146, 130, 146, 131,
    130, 146, 130, 146, 130, 146, 130, 240, 240,  16,  18,   5,
      4,  20,  50,  50,  50,  50,  50,  50,  50,  50,  50,  50,
     20,  20, 240,  16,  13,  10, 211, 100,  98,  18,  66,  50,
     34,  67,   0,  13, 112,   8,   9,   0,  14,  88,  24, 240,
     64,   7,   4,  67,  34,   0,   7,  16,  20,   8, 240, 240,
     68,  53,  49,  50,  53,  23,  18,  50,  18,  35,  23,  35,
     18, 240, 240,  48,  24,   9, 146, 114, 114, 114,  19,  55,
     35,  35,  18,  66,  18,  66,  18,  66,  19,  35,  23,  34,
     19, 240, 240, 144,  18,   9, 240, 240, 132,  71,  19,  50,
     18, 114, 114, 115,  35,  39,  52, 240, 240, 144,  24,   9,
    242, 114, 114,  51,  18,  39,  19,  35,  18,  66,  18,  66,
     18,  66,  19,  35,  39,  51,  18, 240, 240, 112,  18,  10,
    240, 240, 197,  71,  35,  51,  25,  25,  19, 115,  51,  39,
     69, 240, 240, 208,  17,   7, 148,  36,  50,  69,  37,  50,
     82,  82,  82,  82,  82,  82, 240, 240,  32,  22,   9, 240,
    240, 134,  38,  50,  34,  50,  34,  54,  38,  50, 119,  55,
     18,  66,  18,  66,  23,  68,  48,  25,   9, 146, 114, 114,
    114,  20,  40,  19,  50,  18,  66,  18,  66,  18,  66,  18,
     66,  18,  66,  18,  66, 240, 240, 112,  16,   4,  67,  19,
     19,  18,  34,  34,  34,  34,  34,  34,  34,  34, 240,  48,
     18,   6, 131,  51,  51,  50,  66,  66,  66,  66,  66,  66,
     66,  66,  66,  51,  35, 144,  24,   9, 146, 114, 114, 114,
     50,  34,  34,  50,  19,  53,  68,  82,  18,  66,  19,  50,
     35,  34,  51, 240, 240, 112,  15,   3,  50,  18,  18,  18,
     18,  18,  18,  18,  18,  18,  18,  18, 208,  32,  13,   0,
      6,  66,  19,  35,  44,  19,  35,  34,  18,  50,  50,  18,
     50,  50,  18,  50,  50,  18,  50,  50,  18,  50,  50,  18,
     50,  50,   0,   6,  80,  24,   9, 240, 240,  98,  20,  40,
     19,  50,  18,  66,  18,  66,  18,  66,  18,  66,  18,  66,
     18,  66, 240, 240, 112,  21,  10, 240, 240, 197,  71,  35,
     51,  18,  82,  18,  82,  18,  82,  19,  51,  39,  69, 240,
    240, 208,  25,   9, 240, 240,  98,  19,  55,  35,  35,  18,
     66,  18,  66,  18,  66,  19,  35,  23,  34,  19,  50, 114,
    114, 114, 112,  24,   9, 240, 240, 131,  18,  39,  19,  35,
     18,  66,  18,  66,  18,  66,  19,  35,  39,  51,  18, 114,
    114, 114, 114,  16,   7, 240, 210,  19,  22,  19,  66,  82,
     82,  82,  82,  82, 240, 240,  48,  18,   8, 240, 240,  68,
     54,  34,  33,  51, 100, 114,  19,  34,  38,  52, 240, 240,
     64,  16,   7, 146,  82,  82,  54,  22,  50,  82,  82,  82,
     82,  84,  67, 240, 224,  24,   9, 240, 240,  98,  66,  18,
     66,  18,  66,  18,  66,  18,  66,  18,  66,  18,  51,  24,
     36,  18, 240, 240, 112,  21,   9, 240, 240,  98,  66,  34,
     50,  34,  34,  50,  34,  66,  18,  68,  84,  99,  98, 240,
    240, 160,  31,  13,   0,   6,  66,  50,  50,  18,  35,  50,
     18,  36,  19,  34,  20,  18,  50,  20,  18,  52,  33,  18,
     67,  35,  83,  35,  82,  51,   0,   6, 112,  21,   9, 240,
    240, 114,  35,  35,  18,  69,  83,  99,  84,  82,  18,  50,
     35,  19,  50, 240, 240, 112,  23,   9, 240, 240,  98,  66,
     34,  50,  34,  50,  35,  18,  66,  18,  69,  83,  99,  99,
     98, 114,  98, 114,  80,  16,   8, 240, 240,  54,  38,  82,
     82,  98,  82,  83,  71,  23, 240, 240,  48,  17,   6, 131,
     51,  50,  66,  66,  66,  36,  36,  66,  66,  66,  66,  67,
     51, 208,  17,   3,   2,  18,  18,  18,  18,  18,  18,  18,
     18,  18,  18,  18,  18,  18, 160,  17,   6,  99,  51,  66,
     66,  66,  66,  68,  36,  34,  66,  66,  66,  51,  51, 240,
     12,  10,   0,   7,  84,  49,  25,  33,  51,   0,  10,  32,};

//*****************************************************************************
//
// The font definition for the 18 point Apercu bold font.
//
//*****************************************************************************
const tFont g_sFontApercu18b =
{
    //
    // The format of the font.
    //
    FONT_FMT_PIXEL_RLE,

    //
    // The maximum width of the font.
    //
    15,

    //
    // The height of the font.
    //
    17,

    //
    // The baseline of the font.
    //
    13,

    //
    // The offset to each character in the font.
    //
    {
           0,    5,   20,   33,   59,   81,  113,  137,
         146,  163,  180,  193,  208,  218,  227,  236,
         255,  280,  297,  316,  335,  357,  376,  397,
         414,  437,  457,  468,  481,  496,  506,  521,
         538,  579,  604,  627,  648,  672,  689,  706,
         730,  757,  772,  790,  816,  833,  868,  899,
         924,  943,  971,  996, 1016, 1033, 1060, 1086,
        1123, 1147, 1168, 1185, 1203, 1222, 1240, 1253,
        1261, 1268, 1288, 1312, 1330, 1354, 1372, 1389,
        1411, 1436, 1452, 1470, 1494, 1509, 1541, 1565,
        1586, 1611, 1635, 1651, 1669, 1685, 1709, 1730,
        1761, 1782, 1805, 1821, 1838, 1855, 1872,
    },

    //
    // A pointer to the actual font data
    //
    g_pucApercu18bData
};
